

class PidFactory:
	@staticmethod
	def create(name, *args, **kwargs):
		if "Normal" in name:
			from components.pid.temp_controller import TempController
			return TempController(*args, **kwargs)
		elif "Smith" in name:
			from components.pid.temp_controller_smith import TempController
			return TempController(*args, **kwargs)
